aboutsummaryrefslogtreecommitdiff
path: root/office/alegreya/doinst.sh
diff options
context:
space:
mode:
Diffstat (limited to 'office/alegreya/doinst.sh')
-rw-r--r--office/alegreya/doinst.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/office/alegreya/doinst.sh b/office/alegreya/doinst.sh
new file mode 100644
index 0000000000000..602755a6c8e12
--- /dev/null
+++ b/office/alegreya/doinst.sh
@@ -0,0 +1,10 @@
+## Add the font to LaTeX' font map if necessary
+## and update the path caches.
+
+UPDMAP=/usr/share/texmf-var/web2c/updmap.cfg
+if test ! -f $UPDMAP; then touch $UPDMAP; fi
+if ! grep -q '^Alegreya.map$' < $UPDMAP; then
+ echo "Map Alegreya.map" >> $UPDMAP
+fi
+updmap-sys
+texhash